Subject: Re: bug#35055: 27.0.50; async-shell-command truncates output lines

From: Juri Linkov <[email-masked]>
Date: Sun, 14 Apr 2019 22:41:28 +0300

>>> What about calling this just `shell-command-width'? It wouldn't hurt for
>>> synchronous shell commands, and I could adapt
>>> `tramp-remote-process-environment' accordingly if set. Might be more
>>> convenient for users.
>>
>> Yes, this is a more general name.  I pushed to master.
>
> Thanks. However, I've meant this also for synchronous
> `shell-command'. You have implemented this only for asynchronous.
>
> The synchronous `shell-command' does not suffer from the buffer width
> restriction. But there might be use cases to set a fixed width, for
> example if you want to get a well-defined output layout.

Oh, I don't know what to do in case when only the current limit
on the output of asynchronous commands should be increased, but
the output of synchronous commands needs to be left unlimited.
I have no idea how to customize it in this case.

> Would you also mind to document the new user option in the Emacs manual?

Will do as soon as the details of the new option will be clarified.

>> I searched for "ssh+sudo" by analogy with the git+ssh:// scheme,
>> but failed to find anything related among all documented methods in
>> the Tramp manual, even when searched separately for "ssh" and "sudo".
>> Eventually I found it in an unexpected chapter "Ad-hoc multi-hops"
>> that allows to do: C-x C-f /ssh:user@host|sudo::/path <RET>
>
> Well, this is not a feature on this own. It is just an example how to
> apply ad-hoc multi-hops. That's why it is described in that section.
>
>> Would it be possible to make this feature more prominent?
>
> There is an introduction chapter "Quick Start Guide". I've added some
> words about ssh+sudo, and friends.

Thanks, this is the same place where my search found the first occurrence
of "sudo" and there was no info about using it on a remove host
before your addition.

BTW, I see that in info/dir all manual names are capitalized, except Tramp.
This lower-case name looks a little disparaging.